program Taper
  !   < 2D.H  Costaper nw=10 > out.H
  !
  !  Cosine taper around nw point border.
  !%
  use sep

  implicit none
  integer                            :: n1, n2, nw, i1,i
  real, dimension (:,:), allocatable :: pp
  real, dimension (:),   allocatable :: w1, w2

  call sep_init ()
  call from_history (n1, n2)
  call from_par ("nw",  nw, 10)
  call sep_close ()

  allocate (pp(n1,n2), w1(n1), w2(n2))

  w1 = 1.; w2 = 1.
  do i=1,nw 
     w1(i) = sin(3.1416*.5*i/(nw+1.))**2
     w2(i) = sin(3.1416*.5*i/(nw+1.))**2
  end do
  w1(n1:n1-nw+1:-1) = w1(:nw)
  w2(n2:n2-nw+1:-1) = w2(:nw)

  call sep_read (pp)
  do i1=1,n1
     pp(i1,:) = pp(i1,:) * w1(i1) *w2
  end do
  call sep_write (pp) 

  deallocate (pp,w1,w2)
  call exit (0)
end program Taper

